Description

Supportanfrage

Für ein nächstes Projekt habe ich einen Videodatenstrom, welches H.256 kodiert ist und über MPEG2-TS über Ethernet übertragen

wird und noch in RTP eingebettet ist.

Für einen ersten Test will ich diesen Datenstrom in einem Display anzeigen.

Meine Frage ist.

Sind euch Toolboxen / Anbieter für ADTF3 bekannt, die (alle / eine) dieser Anforderungen behandeln können?

Lösung

Leider sind mir keine ADTF3 Toolboxen oder Implementierungen bekannt die die Anforderungen erfüllen. Die libav scheint aber eine

h.265 Unterstützung zu haben.

Wir halten die Ohren offen bzgl. Anforderungen, ggf. lässt sich hier eine Anbindung in den kommenden Monaten mit eigenen

Produkten/Community realisieren.

History

#1 - 2021-02-01 21:44 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to BOSCH

#2 - 2021-02-02 11:56 - hidden

Hallo Thomas,

leider sind mir keine ADTF3 Toolboxen oder Implementierungen bekannt die die Anforderungen erfüllen. Die libav scheint aber eine h.265

Unterstützung zu haben.

Grüße,

Rick

#3 - 2021-02-08 13:20 - hidden

- Status changed from In Progress to Customer Feedback Required

#5 - 2021-02-10 10:21 - hidden

- Project changed from 5 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback
https://wiki.libav.org/Encoding/hevc
https://wiki.libav.org/Encoding/hevc


Hallo Thomas,

ich würde das Ticket an der Stelle abschließen.

Wir halten die Ohren offen bzgl. Anforderungen, ggf. lässt sich hier eine Anbindung in den kommenden Monaten mit eigenen

Produkten/Communitylösungen realisieren.

Habt ihr konkrete Anforderungen/Hardware, was unterstützt werden sollte ?

#6 - 2021-02-10 11:07 - hidden

Hallo Rick,

im Prinzip ist es ein Ethernetdatenstrom mit IPv6 Protokoll.

Eine HArdwarelösung für Data Acquisition / Capture haben wir bereits.

im Prinzip kann man sagen, dass wir in der ADTF Umgebung Ethernetframes emppfangen, welche diese Protokolle als Payload besitzen.

Jetzt suche ich nach eine Filterlösung um diese Daten (Video Bilder) in einem Display zu visualisiseren.

Dies möglichst als Integrationslösung. Also vorhandene ADTF3 filter mit Konfigurationsmöglichkeiten einbringen(gern auch von "3rd-Party"

Herstellern.

Weniger Favorisiert ist eine eigene Filter Implementierung umzusetzen.

Wenn ihr noch weitere "3rd-Party" Hersteller kennt, die sich auf Video Protokolle spezialisiert sind, kann ich diese auch noch anfragen.

Ich selber kenne nur Elektrobit und XKrug, jedoch in einem anderen Kontext (Busssysteme).

Gruß Thomas

#7 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
